
%global meadversion 1.0.0
%global namedversion 1.0.0.final-redhat-3
%global meadalpha .final_redhat_3
%global meadrel .1
%global serial 1
%global namedversionrel redhat-3

%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.0.0.final-redhat-3

Name: picketbox-commons
Summary: Common classes for security projects
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
License: LGPLv2+
Group: Development/Libraries

%if %with mead
Source100: picketbox-commons-1.0.0.final-redhat-3-scm-sources.zip
Source101: picketbox-commons-1.0.0.final-redhat-3-patches.zip
Source102: picketbox-commons-1.0.0.final-redhat-3.jar
Source103: picketbox-commons-1.0.0.final-redhat-3.pom
Source104: picketbox-commons-1.0.0.final-redhat-3-project-sources.tar.gz
Source105: picketbox-commons-1.0.0.final-redhat-3-sources.jar
Source106: picketbox-commons-1.0.0.final-redhat-3-javadoc.jar
%endif


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

BuildRequires: jpackage-utils
BuildRequires: unzip

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
Common classes for security projects

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}
%endif

%prep
                                                                                                     
%build
                                                                                                     
%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}

#poms
%add_to_maven_depmap org.picketbox %{name} %{namedversion} JPP %{name}
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

#jars
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}.jar %{name}.jar)

install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}-sources.jar %{name}-sources.jar)

#install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-javadoc.jar
#(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}-javadoc.jar %{name}-javadoc.jar)

%if %with javadoc
#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{namedversion} %{name})
%endif

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{namedversion}
%endif

%changelog
* Fri Dec 12 2014 Lin Gao <lgao@redhat.com> - 1.0.0-1.final_redhat_3.1
- Update spec template file
- Rebuild to remove old EAP bom
- Remove javadoc subpackage


* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-0.8.final_redhat_2.3
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.0-0.7.final_redhat_2.3
- Update poms for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-0.7.final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-0.7.final_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-0.7.final_redhat_1
- Remove javadocs from main package

* Thu Mar 15 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.6.final_redhat_1
- Change jars install path
- Use new wrapper
- Requires jpackage-utils in javadoc subpackage
- Remove META-INF from javadoc

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-0.5.final_redhat_1
- Rebuild to use new signing key

* Wed Feb 01 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.4.final_redhat_1
- upgrade to 1.0.0.final

* Sun Jan 29 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.3.CR1_redhat_1
- fix pom to use new BOMS
- switch to rhpkg build
- fill spec file for rpm build from mead build

* Mon Aug 22 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.2.CR1.1
- wolf build

* Mon Aug 8 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-0.1.CR1.1
- initial mead build of picketbox-commons

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:4.0.0-0.1.Beta4.1
- Placeholder
